%global npm_name upath
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.0.5
Release: %mkrel 5
Summary: A proxy to `path`, replacing `\` with `/` for all results & new methods to normalize & join keeping leading `
License: MIT
Group: Development/Other
URL: https://github.com/anodynos/upath/
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr build %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr upath.d.ts %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc readme.md



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.0.5-5.mga10
+ Revision: 2208301
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 1.0.5-4.mga9
+ Revision: 1818720
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 12 2020 umeabot <umeabot> 1.0.5-3.mga8
+ Revision: 1503270
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.0.5-2.mga7
+ Revision: 1281185
- Mageia 7 Mass Rebuild

* Thu May 03 2018 kekepower <kekepower> 1.0.5-1.mga7
+ Revision: 1225124
- imported package nodejs-upath

